Bug 1287186 - [abrt] xscreensaver-gl-extras: _swrast_select_point(): pinion killed by SIGSEGV
[abrt] xscreensaver-gl-extras: _swrast_select_point(): pinion killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f07563ff9a63e51c2a806245e83...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 12:27 EST by Abhimanyu Dhiman
Modified: 2016-07-07 05:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.36 KB, text/plain)
2015-12-01 12:27 EST, Abhimanyu Dhiman
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-01 12:27 EST, Abhimanyu Dhiman
no flags Details
File: core_backtrace (4.35 KB, text/plain)
2015-12-01 12:27 EST, Abhimanyu Dhiman
no flags Details
File: dso_list (5.74 KB, text/plain)
2015-12-01 12:27 EST, Abhimanyu Dhiman
no flags Details
File: environ (1.70 KB, text/plain)
2015-12-01 12:27 EST, Abhimanyu Dhiman
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-01 12:27 EST, Abhimanyu Dhiman
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-01 12:27 EST, Abhimanyu Dhiman
no flags Details
File: maps (37.50 KB, text/plain)
2015-12-01 12:27 EST, Abhimanyu Dhiman
no flags Details

  None (edit)
Description Abhimanyu Dhiman 2015-12-01 12:27:28 EST
Version-Release number of selected component:
xscreensaver-gl-extras-5.34-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        pinion -root
crash_function: _swrast_select_point
executable:     /usr/libexec/xscreensaver/pinion
global_pid:     6240
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _swrast_select_point at swrast/s_feedback.c:136
 #1 swsetup_points at swrast_setup/ss_triangle.c:227
 #2 run_render at tnl/t_vb_render.c:322
 #3 _tnl_run_pipeline at tnl/t_pipeline.c:241
 #4 _tnl_draw_prims at tnl/t_draw.c:520
 #5 brw_draw_prims at brw_draw.c:587
 #6 vbo_save_playback_vertex_list at vbo/vbo_save_draw.c:310
 #7 ext_opcode_execute at main/dlist.c:666
 #8 execute_list at main/dlist.c:7756
 #9 _mesa_CallList at main/dlist.c:9121

Potential duplicate: bug 1167783
Comment 1 Abhimanyu Dhiman 2015-12-01 12:27:37 EST
Created attachment 1100966 [details]
File: backtrace
Comment 2 Abhimanyu Dhiman 2015-12-01 12:27:39 EST
Created attachment 1100967 [details]
File: cgroup
Comment 3 Abhimanyu Dhiman 2015-12-01 12:27:42 EST
Created attachment 1100968 [details]
File: core_backtrace
Comment 4 Abhimanyu Dhiman 2015-12-01 12:27:45 EST
Created attachment 1100969 [details]
File: dso_list
Comment 5 Abhimanyu Dhiman 2015-12-01 12:27:48 EST
Created attachment 1100970 [details]
File: environ
Comment 6 Abhimanyu Dhiman 2015-12-01 12:27:51 EST
Created attachment 1100971 [details]
File: exploitable
Comment 7 Abhimanyu Dhiman 2015-12-01 12:27:53 EST
Created attachment 1100972 [details]
File: limits
Comment 8 Abhimanyu Dhiman 2015-12-01 12:27:58 EST
Created attachment 1100973 [details]
File: maps
Comment 9 Mamoru TASAKA 2015-12-02 00:32:21 EST
Once switching to mesa to ask for help
Comment 10 Igor Gnatenko 2016-07-07 05:13:05 EDT
This is very old bug, if you still can reproduce it - please reopen.

Note You need to log in before you can comment on or make changes to this bug.